Ajouter un article au panier
curl --request POST \
--url https://api.example.com/v1/store/cart/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productSku": "mc-java-paper",
"quantity": 1,
"planId": "<string>",
"eggId": "<string>",
"configs": {
"ram": "4096",
"disk": "50"
}
}
'import requests
url = "https://api.example.com/v1/store/cart/items"
payload = {
"productSku": "mc-java-paper",
"quantity": 1,
"planId": "<string>",
"eggId": "<string>",
"configs": {
"ram": "4096",
"disk": "50"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productSku: 'mc-java-paper',
quantity: 1,
planId: '<string>',
eggId: '<string>',
configs: {ram: '4096', disk: '50'}
})
};
fetch('https://api.example.com/v1/store/cart/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/store/cart/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'productSku' => 'mc-java-paper',
'quantity' => 1,
'planId' => '<string>',
'eggId' => '<string>',
'configs' => [
'ram' => '4096',
'disk' => '50'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/store/cart/items"
payload := strings.NewReader("{\n \"productSku\": \"mc-java-paper\",\n \"quantity\": 1,\n \"planId\": \"<string>\",\n \"eggId\": \"<string>\",\n \"configs\": {\n \"ram\": \"4096\",\n \"disk\": \"50\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/store/cart/items")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"productSku\": \"mc-java-paper\",\n \"quantity\": 1,\n \"planId\": \"<string>\",\n \"eggId\": \"<string>\",\n \"configs\": {\n \"ram\": \"4096\",\n \"disk\": \"50\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/store/cart/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"productSku\": \"mc-java-paper\",\n \"quantity\": 1,\n \"planId\": \"<string>\",\n \"eggId\": \"<string>\",\n \"configs\": {\n \"ram\": \"4096\",\n \"disk\": \"50\"\n }\n}"
response = http.request(request)
puts response.read_bodyAPI — Boutique
Ajouter un article au panier
POST
/
v1
/
store
/
cart
/
items
Ajouter un article au panier
curl --request POST \
--url https://api.example.com/v1/store/cart/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productSku": "mc-java-paper",
"quantity": 1,
"planId": "<string>",
"eggId": "<string>",
"configs": {
"ram": "4096",
"disk": "50"
}
}
'import requests
url = "https://api.example.com/v1/store/cart/items"
payload = {
"productSku": "mc-java-paper",
"quantity": 1,
"planId": "<string>",
"eggId": "<string>",
"configs": {
"ram": "4096",
"disk": "50"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productSku: 'mc-java-paper',
quantity: 1,
planId: '<string>',
eggId: '<string>',
configs: {ram: '4096', disk: '50'}
})
};
fetch('https://api.example.com/v1/store/cart/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/store/cart/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'productSku' => 'mc-java-paper',
'quantity' => 1,
'planId' => '<string>',
'eggId' => '<string>',
'configs' => [
'ram' => '4096',
'disk' => '50'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/store/cart/items"
payload := strings.NewReader("{\n \"productSku\": \"mc-java-paper\",\n \"quantity\": 1,\n \"planId\": \"<string>\",\n \"eggId\": \"<string>\",\n \"configs\": {\n \"ram\": \"4096\",\n \"disk\": \"50\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/store/cart/items")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"productSku\": \"mc-java-paper\",\n \"quantity\": 1,\n \"planId\": \"<string>\",\n \"eggId\": \"<string>\",\n \"configs\": {\n \"ram\": \"4096\",\n \"disk\": \"50\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/store/cart/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"productSku\": \"mc-java-paper\",\n \"quantity\": 1,\n \"planId\": \"<string>\",\n \"eggId\": \"<string>\",\n \"configs\": {\n \"ram\": \"4096\",\n \"disk\": \"50\"\n }\n}"
response = http.request(request)
puts response.read_bodyAutorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corps
application/json
SKU of the Product (or legacy Offer) to add to the cart.
Exemple:
"mc-java-paper"
Plage requise:
1 <= x <= 100Exemple:
1
ID of the billing Plan to use. When omitted, the product base price (or the first active plan, if the product has plans) is used.
Selected egg variant (software choice). Must be the product default egg or one of its eggVariants.
Selected config options keyed by configOptionId → chosen value (matching a choice value in the option's choices JSON array). Each selection adds its priceDeltaCents to the unit price.
Exemple:
{ "ram": "4096", "disk": "50" }
Réponse
201